/* Exempel där en loop används för att lägga till HTML-kod. */
// --------------------------------------------------
// Globala variabler
let fruitMenu;		// select-elementet för menyn för val av frukt
let amountElem;		// input-elementet för antal
let msgElem;		// Element för meddelande
let basketElem;		// Element för fruktkorgens innehåll
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	fruitMenu = document.querySelector("#fruit");
	amountElem = document.querySelector("#amount");
	msgElem = document.querySelector("#message");
	basketElem = document.querySelector("#basket");
	document.querySelector("#basketBtn").addEventListener("click", addToBasket);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Lägg till bilder för vald frukt
function addToBasket() {
	let fruit = fruitMenu.value;

	msgElem.innerText = "";
	let amount = Number(amountElem.value);
	if (isNaN(amount)) {
		msgElem.innerText = "Antal ska skrivas med siffror.";
		return;
	}
	if (amount < 1 || amount > 9) {
		msgElem.innerText = "Antalet måste vara mellan 1 och 9.";
		return;
	}
	amount = parseInt(amount);
	amountElem.value = amount;

	let newImgs = "";
	for (let i = 0; i < amount; i++) {
		newImgs += "<img src='img/" + fruit + ".png' alt='frukt'>";
	}
	basketElem.innerHTML += newImgs;
} // Slut addToBasket
// --------------------------------------------------
